#include <cmath>
#include <gtest/gtest.h>
#include "../oop_lab1_prog/lab1_lib.h"

TEST(GetTriangleArea_16, ValidInput) {
    EXPECT_DOUBLE_EQ(GetTriangleArea_16(3,4,5),6);
    EXPECT_NEAR(GetTriangleArea_16(2,3,4),2.9,0.005);
}
TEST(GetTriangleArea_16, InValidInput) {
    EXPECT_TRUE(std::isnan(GetTriangleArea_16(-4,4,5)));
    EXPECT_TRUE(std::isnan(GetTriangleArea_16(0,0,0)));
}

int main() {
    testing::InitGoogleTest();
    return RUN_ALL_TESTS();
}
